<template>
  <div class="teaser full-width no-marge teaser-message">
    <div class="teaser-content">
      <div class="teaser-message-content">
        <span>404</span>
        <strong> {{ $t('errors.404') }} </strong>
        <a class="link-plus" href="/">{{ $t('errors.backToHome') }}</a>
      </div>
      <div class="teaser-img resp-min">
        <picture>
          <img
            class="teaser-image"
            src="//izneo.com/bundles/izneofront/assets/pages/img/teaser-404.png"
            :alt="`${$t('errors.error')} 404`"
          />
        </picture>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    error: {
      type: Object,
      required: false,
      default: () => {}
    }
  }
}
</script>

<style lang="scss" scoped>
.teaser {
  position: relative;
  max-width: 360px;
  margin-left: auto;
  margin-right: auto;
  color: #fff;
  background-color: #3e3e3e;

  &.no-marge {
    margin-top: 0 !important;
  }

  &.full-width {
    min-width: 100%;
    width: 100%;
    margin-top: 60px;

    @media (min-width: 1024px) {
      max-height: 480px;
      overflow: hidden;
    }
    @media (min-width: 768px) {
      margin-top: 75px;
    }
  }

  &-content {
    position: relative;
  }

  &-message {
    .teaser-message-content {
      position: absolute;
      left: 0;
      right: 0;
      bottom: -170px;
      width: calc(100% - 2px);
      margin: 0 auto;
      top: inherit;
      background: #fff;
      padding: 39px 0;
      z-index: 100;
      padding-bottom: 25px;
      border-bottom: 1px solid #939ca4;
      border-bottom-color: rgb(147, 156, 164);
      border-right: 1px solid #939ca4;
      border-right-color: rgb(147, 156, 164);
      border-left: 1px solid #939ca4;
      border-left-color: rgb(147, 156, 164);

      @media (min-width: 768px) {
        bottom: inherit;
        top: calc(50% - 90px);
        width: calc(90% - 160px);
        max-width: 360px;
        border-color: inherit;
      }
    }

    span {
      background-color: #ff641e;
      margin-top: -75px !important;
      background-color: #ff641e;
      display: block;
      width: 85px;
      text-align: center;
      margin: 0 auto;
      margin-top: 0px;
      font-family: DINCond-Light, sans-serif;
      font-size: 60px;
      font-weight: 200;
      padding-top: 10px;
    }

    strong {
      color: #3e3e3e;
      font-size: 18px;
      text-align: center;
      width: 220px;
      display: block;
      margin: 0 auto;
      margin-top: 30px;
    }

    a {
      transition: none;
    }

    .link-plus {
      text-align: center;
      display: block;
      margin-top: 25px;
      color: #3e3e3e;

      &::before {
        content: '+';
        display: inline-block;
        margin-right: 0.3em;
        font-weight: 400;
        text-decoration: none;
      }
    }

    .teaser-image {
      display: block;
      max-width: 100%;
      height: auto;
      transition: all 300ms cubic-bezier(0.25, 0.46, 0.45, 0.94);
      object-fit: cover;
      min-height: 260px !important;
      width: 100%;
      margin-bottom: 220px;

      @media (min-width: 768px) {
        margin-bottom: 0px;
      }
    }
  }

  &::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    box-shadow: inset 0 0 0 2px rgba(62, 62, 62, 0.2);
    z-index: 5;
    pointer-events: none;
  }
}
</style>
